
amnimo API連携機能のAPI仕様を記載したドキュメントです.
レートは, 1秒間にサーバーが受け付け可能なリクエスト数です.
バーストは, サーバーが瞬間的に受け付け可能なリクエストの総数です.
瞬間的にレート制限を超過してもバースト制限内であればリクエストを受け付けます(トークンバケットアルゴリズム).
API制限を超えてリクエストするとサーバーはHTTPステータス429を返します.
2025年11月以降に発行されたClientIdについては、認証(/oauth2/token)の呼び出しが1,000回/月に制限されます.アクセストークンの有効期限内はトークンを再利用してください.
clientId, secretKeyを使って, 各APIを呼び出すためのアクセストークンを発行します. 発行したアクセストークンは, 各APIのリクエストヘッダの"Authorization"に指定してください. 有効期限内のアクセストークンは再利用するようにしてください. 有効期限を過ぎたアクセストークンでリクエストすると, サーバーはHTTPステータス403を返します. 有効期限を過ぎた場合は, 認証APIでアクセストークンを再発行してください.
Sample curl command
curl -X POST 'https://api.amnimo.com/ex/oauth2/token' \
-H 'Authorization: Basic {clientId:secretKeyをBase64エンコードした値}' \
-H 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'grant_type=client_credentials'
| Authorization required | string Example: Basic ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Basic <(clientId:secretKey)をBase64エンコード>を設定 |
| Content-Type required | string Example: application/x-www-form-urlencoded 'application/x-www-form-urlencoded'(固定文字列)を設定 |
| grant_type | string 'client_credentials'(固定文字列)を指定 |
grant_type=client_credentials{- "access_token": "eyJra1example",
- "token_type": "Bearer",
- "expires_in": 7200
}アカウントIDを指定して, テナントの階層構造とサブスクリプションIDを取得します. 階層構造と各階層のテナントのサブスクリプションIDが必要な場合, 本APIをリクエストしてください.
Sample curl command
curl 'https://api.amnimo.com/ex/accounts/{accountId}/hierarchy' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}' \
| accountId required | string <uuid> アカウントID |
| Authorization required | string Example: Bearer ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Bearer </oauth2/token で取得したaccess_token>を設定 |
{- "accountName": "テナント1",
- "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
- "subscriptionName": "サブスクリプション1",
- "subscriptionId": "d079718b-ff63-45dd-947b-4950c023750f",
- "childAccounts": [
- {
- "accountName": "テナント2",
- "accountId": "0b0db400-304f-c31a-2b57-fb97e467a3e6",
- "subscriptionName": "サブスクリプション2",
- "subscriptionId": "3e871bad-977c-27c2-4cf1-ebe13bee0d66",
- "childAccounts": [
- { }
]
}
]
}Sample curl command 1: ページネーションによるカメラ一覧取得 ページネーションでカメラ一覧を取得するにはQuery Parametersに指定なし, またはpage, sizeのみを指定します
curl 'https://api.amnimo.com/ex/partitions/{subscriptionId}/cameras?page=3&size=250' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}' \
Sample curl command 2: カメラIDを指定した複数カメラ取得 複数カメラを取得するにはQuery ParametersにcameraIdのみを指定します
curl 'https://api.amnimo.com/ex/partitions/{subscriptionId}/cameras?cameraId={uuid1}&cameraId={uuid2}&cameraId={uuid3}' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}' \
| subscriptionId required | string <uuid> サブスクリプションID |
| isUrl | boolean Default: true Example: isUrl=true サムネイルのイメージファイルのPresigned URLの発行フラグ
|
| expiration | number [ 1 .. 10080 ] Default: 60 Example: expiration=60 Presigned URLの有効期限[分] isUrlがtrueの場合のみ有効 |
| page | integer >= 0 Default: 0 ページ番号 |
| size | integer [ 1 .. 500 ] Default: 500 ページサイズ |
| cameraId | string <uuid> カメラID (同時指定上限数 10) 特定のカメラを同時取得する場合のみcameraIdをQuery Parametersに入力してください |
| Authorization required | string Example: Bearer ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Bearer </oauth2/token で取得したaccess_token>を設定 |
{- "total": 1,
- "page": 0,
- "size": 500,
- "cameras": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "pid": "058d15e1-c249-47bc-9c08-cb16c9e878c4",
- "deviceVersion": "2.1.0",
- "status": "CONNECTED",
- "recordingStatus": "string",
- "displayName": "A工場入り口",
- "tags": [
- "タグA"
], - "thumbnail": {
- "ts": "2019-08-24T14:15:22Z"
}
}
]
}Sample curl command
curl 'https://api.amnimo.com/ex/partitions/{subscriptionId}/cameras/{cameraId}' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}' \
| subscriptionId required | string <uuid> サブスクリプションID |
| cameraId required | string <uuid> カメラID |
| isUrl | boolean Default: true Example: isUrl=true サムネイルのイメージファイルのPresigned URLの発行フラグ
|
| expiration | number [ 1 .. 10080 ] Default: 60 Example: expiration=60 Presigned URLの有効期限[分] isUrlがtrueの場合のみ有効 |
| Authorization required | string Example: Bearer ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Bearer </oauth2/token で取得したaccess_token>を設定 |
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "pid": "058d15e1-c249-47bc-9c08-cb16c9e878c4",
- "deviceVersion": "2.1.0",
- "status": "CONNECTED",
- "recordingStatus": "string",
- "displayName": "A工場入り口",
- "tags": [
- "タグA"
], - "thumbnail": {
- "ts": "2019-08-24T14:15:22Z"
}
}Sample curl command
curl 'https://api.amnimo.com/ex/partitions/{subscriptionId}/cameras/{cameraId}/thumbnails' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}' \
| subscriptionId required | string <uuid> サブスクリプションID |
| cameraId required | string <uuid> カメラID |
| startTime | string Example: startTime=2025-02-02T15:00:00.000Z サムネイルを検索する範囲の開始時間(UTC) |
| endTime | string Example: endTime=2025-02-16T15:00:00.000Z サムネイルを検索する範囲の終了時間(UTC)
|
| limit | number [ 1 .. 100 ] Default: 1 Example: limit=1 取得するサムネイル点数 |
| isUrl | boolean Default: true Example: isUrl=true サムネイルのURLをレスポンスに含めるフラグ
|
| expiration | number [ 1 .. 10080 ] Default: 60 Example: expiration=60 Presigned URLの有効期限[分] isUrlがtrueの場合のみ有効 |
| Authorization required | string Example: Bearer ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Bearer </oauth2/token で取得したaccess_token>を設定 |
{- "total": 1,
- "thumbnails": [
- {
- "ts": "2025-02-14T15:00:00.000Z",
- "code": "200"
}
]
}Sample curl command
curl 'https://api.amnimo.com/ex/partitions/{subscriptionId}/cameras/{cameraId}/history?startTime=2025-02-02T15:00:00.000Z&endTime=2025-02-16T16:00:00.000Z' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}' \
| subscriptionId required | string <uuid> サブスクリプションID |
| cameraId required | string <uuid> カメラID |
| startTime required | string Example: startTime=2025-02-02T15:00:00.000Z クラウド録画履歴を検索する範囲の開始日時 |
| endTime required | string Example: endTime=2025-02-16T16:00:00.000Z クラウド録画履歴を検索する範囲の終了日時 |
| Authorization required | string Example: Bearer ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Bearer </oauth2/token で取得したaccess_token>を設定 |
[- {
- "s": 1750807890000,
- "d": 123456
}
]サブスクリプションIDとカメラIDを指定して, テナントに登録されているカメラ映像を再生するためのHLS URLを取得します. 基本的な映像再生フローは次の通りです.
エッジデバイスがカメラ映像を保存している場合, 映像再生URL取得APIでライブ映像の再生をリクエストするとエッジデバイスがクラウドに現在時刻の映像データの送信を開始します. 映像データの送信は, 指定した上限時間を超えるまで, または映像再生停止APIをリクエストしてエッジデバイスがクラウドに映像データの送信を停止するまで継続します.
Sample curl command
curl 'https://api.amnimo.com/ex/partitions/{subscriptionId}/cameras/{cameraId}/streams/hls/start?dt=live' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}' \
| subscriptionId required | string <uuid> サブスクリプションID |
| cameraId required | string <uuid> カメラID |
| dt required | string Example: dt=live ライブ映像を再生する場合は"live", 過去映像を再生する場合は再生開始時刻"yyyy-mm-ddTHH:MM:SS.SSSZ"(UTC)を設定
|
| retry | number [ 1 .. 100 ] Default: 20 Example: retry=20 映像再生用のURLの取得のリトライ回数を設定 (クラウドビデオレコーダーでは指定不要) |
| keepAlivePeriod | number [ 10 .. 3600 ] Default: 10 Example: keepAlivePeriod=10 エッジデバイスから映像データを送信する上限時間 [秒] を設定 |
| Authorization required | string Example: Bearer ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Bearer </oauth2/token で取得したaccess_token>を設定 |
{- "requestId": "e006cedc-247a-49e1-a18f-d59bef27dbcb",
}エッジデバイスがカメラ映像を保存している場合に, カメラ映像のクラウドへのアップロードをします.
Sample curl command
curl 'https://api.amnimo.com/ex/partitions/{subscriptionId}/cameras/{cameraId}/streams/hls/stop?requestId=e006cedc-247a-49e1-a18f-d59bef27dbcb' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}'
| subscriptionId required | string <uuid> サブスクリプションID |
| cameraId required | string <uuid> カメラID |
| requestId required | string </partitions/{subscriptionId}/cameras/{cameraId}/streams/hls/start で取得したリクエストID>を設定 |
| Authorization required | string Example: Bearer ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Bearer </oauth2/token で取得したaccess_token>を設定 |
{- "result": "string"
}エッジデバイスがカメラ映像を保存している場合に, カメラ映像をクラウドにアップロードする時間をリクエストした時刻からkeepAlivePeriodの時間だけ延長します.
Sample curl command
curl 'https://api.amnimo.com/ex/partitions/{subscriptionId}/cameras/{cameraId}/streams/hls/update?requestId=e006cedc-247a-49e1-a18f-d59bef27dbcb' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}'
| subscriptionId required | string <uuid> サブスクリプションID |
| cameraId required | string <uuid> カメラID |
| requestId required | string </partitions/{subscriptionId}/cameras/{cameraId}/streams/hls/start で取得したリクエストID>を設定 |
| Authorization required | string Example: Bearer ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Bearer </oauth2/token で取得したaccess_token>を設定 |
{- "result": "string"
}サブスクリプションIDとカメラIDを指定して, テナントに登録されているカメラ映像のビデオクリップ・スナップショットを生成・取得・検索します.
基本的なメディア取得のフローは次の通りです.
Sample curl command
curl -X POST 'https://api.amnimo.com/ex/partitions/{subscriptionId}/cameras/{cameraId}/media' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}' \
-H 'Content-Type: application/json' \
-d '{"category": "CLIP", "startTime": "2025-02-02T15:00:00.000Z", "endTime": "2025-02-02T15:30:00.000Z", "name": "media Name"}'
| subscriptionId required | string <uuid> サブスクリプションID |
| cameraId required | string <uuid> カメラID |
| Authorization required | string Example: Bearer ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Bearer </oauth2/token で取得したaccess_token>を設定 |
| category required | string Enum: "CLIP" "SNAPSHOT"
|
| startTime required | string メディアの開始時刻 "yyyy-mm-ddTHH:MM:SS.SSSZ" (UTC)
|
| endTime | string メディアの終端時刻 "yyyy-mm-ddTHH:MM:SS.SSSZ" (UTC)
|
| name | string [ 1 .. 64 ] characters メディア名 |
{- "category": "CLIP",
- "startTime": "2025-02-02T15:00:00.000Z",
- "endTime": "2025-02-02T15:30:00.000Z",
- "name": "media Name"
}{- "id": "b6f0907d-a2cc-4cb3-88e5-2a0982d2e948",
- "cameraId": "cbc3283e-6217-4855-9934-148717cbeefe",
- "pid": "058d15e1-c249-47bc-9c08-cb16c9e878c4",
- "type": "IMAGE",
- "source": "CLOUD",
- "category": "CLIP",
- "startTime": "2019-08-24T14:15:22Z",
- "endTime": "2019-08-24T14:15:22Z",
- "name": "media-testName",
- "status": "COMPLETED",
- "requestedDateTime": "2019-08-24T14:15:22Z",
- "size": 2078322,
- "meta": {
- "user": {
- "id": "string"
}
}
}Sample curl command
curl -X POST 'https://api.amnimo.com/ex/partitions/{subscriptionId}/cameras/{cameraId}/medias' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}' \
-H 'Content-Type: application/json'\
-d '{"pageNumber": 0, "pageSize": 100}'
| subscriptionId required | string <uuid> サブスクリプションID |
| cameraId required | string <uuid> カメラID |
| Authorization required | string Example: Bearer ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Bearer </oauth2/token で取得したaccess_token>を設定 |
| categories | Array of strings メディア検索対象のカテゴリー 指定しない場合, 全てのカテゴリーを検索対象とする
|
| pageNumber required | integer <int32> >= 0 メディア検索のページ番号 |
| pageSize required | integer <int32> [ 1 .. 1000 ] メディア検索のページのサイズ |
| sortDir | string Default: "desc" Enum: {"asc":"昇順"} {"desc":"降順"} メディアのソート順 (生成をリクエストした時刻順)
|
{- "categories": [
- "CLIP"
], - "pageNumber": 0,
- "pageSize": 100,
- "sortDir": "desc"
}[- {
- "id": "b6f0907d-a2cc-4cb3-88e5-2a0982d2e948",
- "cameraId": "cbc3283e-6217-4855-9934-148717cbeefe",
- "pid": "058d15e1-c249-47bc-9c08-cb16c9e878c4",
- "type": "IMAGE",
- "source": "CLOUD",
- "category": "CLIP",
- "startTime": "2019-08-24T14:15:22Z",
- "endTime": "2019-08-24T14:15:22Z",
- "name": "media-testName",
- "status": "COMPLETED",
- "requestedDateTime": "2019-08-24T14:15:22Z",
- "size": 2078322,
- "meta": {
- "user": {
- "id": "string"
}
}
}
]Sample curl command
curl -X POST 'https://api.amnimo.com/ex/partitions/{subscriptionId}/medias' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}' \
-H 'Content-Type: application/json' \
-d '{"pageNumber": 0, "pageSize": 100}'
| subscriptionId required | string <uuid> サブスクリプションID |
| Authorization required | string Example: Bearer ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Bearer </oauth2/token で取得したaccess_token>を設定 |
| categories | Array of strings メディア検索対象のカテゴリー 指定しない場合, 全てのカテゴリーを検索対象とする
|
| pageNumber required | integer <int32> >= 0 メディア検索のページ番号 |
| pageSize required | integer <int32> [ 1 .. 1000 ] メディア検索のページのサイズ |
| sortDir | string Default: "desc" Enum: "asc" "desc" メディアのソート順 (生成をリクエストした時刻順)
|
{- "categories": [
- "CLIP"
], - "pageNumber": 0,
- "pageSize": 100,
- "sortDir": "desc"
}[- {
- "id": "b6f0907d-a2cc-4cb3-88e5-2a0982d2e948",
- "cameraId": "cbc3283e-6217-4855-9934-148717cbeefe",
- "pid": "058d15e1-c249-47bc-9c08-cb16c9e878c4",
- "type": "IMAGE",
- "source": "CLOUD",
- "category": "CLIP",
- "startTime": "2019-08-24T14:15:22Z",
- "endTime": "2019-08-24T14:15:22Z",
- "name": "media-testName",
- "status": "COMPLETED",
- "requestedDateTime": "2019-08-24T14:15:22Z",
- "size": 2078322,
- "meta": {
- "user": {
- "id": "string"
}
}
}
]Sample curl command
curl 'https://api.amnimo.com/ex/partitions/{subscriptionId}/medias/{mediaId}' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}' \
| subscriptionId required | string <uuid> サブスクリプションID |
| mediaId required | string メディアID |
| expiration | number [ 1 .. 10080 ] Default: 60 Example: expiration=60 Presigned URLの有効期限[分] |
| Authorization required | string Example: Bearer ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Bearer </oauth2/token で取得したaccess_token>を設定 |
{- "id": "b6f0907d-a2cc-4cb3-88e5-2a0982d2e948",
- "cameraId": "cbc3283e-6217-4855-9934-148717cbeefe",
- "pid": "058d15e1-c249-47bc-9c08-cb16c9e878c4",
- "type": "IMAGE",
- "source": "CLOUD",
- "category": "CLIP",
- "startTime": "2019-08-24T14:15:22Z",
- "endTime": "2019-08-24T14:15:22Z",
- "name": "media-testName",
- "status": "COMPLETED",
- "requestedDateTime": "2019-08-24T14:15:22Z",
- "size": 2078322,
- "meta": {
- "user": {
- "id": "string"
}
}
}Sample curl command
curl -X PUT 'https://api.amnimo.com/ex/partitions/{subscriptionId}/medias/{mediaId}' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}' \
-H 'Content-Type: application/json' \
-d '{"data": {"name": "update-media-name"}}'
| subscriptionId required | string <uuid> サブスクリプションID |
| mediaId required | string メディアID |
| Authorization required | string Example: Bearer ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Bearer </oauth2/token で取得したaccess_token>を設定 |
required | object |
{- "data": {
- "name": "update-media-name"
}
}{- "id": "b6f0907d-a2cc-4cb3-88e5-2a0982d2e948",
- "cameraId": "cbc3283e-6217-4855-9934-148717cbeefe",
- "pid": "058d15e1-c249-47bc-9c08-cb16c9e878c4",
- "type": "IMAGE",
- "source": "CLOUD",
- "category": "CLIP",
- "startTime": "2019-08-24T14:15:22Z",
- "endTime": "2019-08-24T14:15:22Z",
- "name": "media-testName",
- "status": "COMPLETED",
- "requestedDateTime": "2019-08-24T14:15:22Z",
- "size": 2078322,
- "meta": {
- "user": {
- "id": "string"
}
}
}Sample curl command
curl -X DELETE 'https://api.amnimo.com/ex/partitions/{subscriptionId}/medias/{mediaId}' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}' \
| subscriptionId required | string <uuid> サブスクリプションID |
| mediaId required | string メディアID |
| Authorization required | string Example: Bearer ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Bearer </oauth2/token で取得したaccess_token>を設定 |
[- {
- "ts": "2019-08-24T14:15:22Z",
- "status": "BAD REQUEST",
- "message": "Validation Error",
- "details": [
- { }
]
}
]サブスクリプションIDとデバイスIDを指定して, テナントに登録されているデバイスの外部機器情報の取得, デバイスのポートの取得・操作をします.
Sample curl command
curl 'https://api.amnimo.com/ex/partitions/{subscriptionId}/devices/externalDevices?page=3&size=250' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}' \
| subscriptionId required | string <uuid> サブスクリプションID |
| page | integer >= 0 Default: 0 ページ番号 |
| size | integer >= 1 Default: 10 ページサイズ |
| Authorization required | string Example: Bearer ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Bearer </oauth2/token で取得したaccess_token>を設定 |
{- "data": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "dName": "デバイス1",
- "externalDevices": [
- {
- "ipAddress": "192.168.0.1",
- "externalDeviceName": "外部機器1",
- "status": "CONNECTED"
}
]
}
], - "summary": {
- "isFirstPage": true,
- "isLastPage": true,
- "pageNumber": 0,
- "pageSize": 10,
- "totalPages": 1,
- "total": 1
}
}Sample curl command
curl 'https://api.amnimo.com/ex/partitions/{subscriptionId}/devices/{deviceId}/externalDevices' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}' \
| subscriptionId required | string <uuid> サブスクリプションID |
| deviceId required | string <uuid> デバイスID |
| Authorization required | string Example: Bearer ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Bearer </oauth2/token で取得したaccess_token>を設定 |
{- "data": [
- {
- "ipAddress": "192.168.0.1",
- "externalDeviceName": "外部機器1",
- "status": "CONNECTED"
}
], - "summary": {
- "total": 1
}
}Sample curl command
curl 'https://api.amnimo.com/ex/partitions/{subscriptionId}/devices/{deviceId}/peripherals' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}' \
| subscriptionId required | string <uuid> サブスクリプションID |
| deviceId required | string <uuid> デバイスID |
| Authorization required | string Example: Bearer ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Bearer </oauth2/token で取得したaccess_token>を設定 |
{- "data": [
- {
- "id": "POE0",
- "name": "POE Port 0",
- "type": "POE",
- "lnkStatus": "LINK_UP",
- "actStatus": "DISABLING"
}
], - "summary": {
- "total": 1
}
}Sample curl command
curl -X POST 'https://api.amnimo.com/ex/partitions/{subscriptionId}/devices/{deviceId}/ports/{portId}' \
-H 'Authorization: Bearer {認証APIで取得したアクセストークン}' \
-H 'Content-Type: application/json' \
-d '{"action": 1}' \
| subscriptionId required | string <uuid> サブスクリプションID |
| deviceId required | string <uuid> デバイスID |
| portId required | string ポートID |
| Authorization required | string Example: Bearer ZGpjOTh1M2ppZWRtaTI4M2V1OTI4OmFiY2RlZjAxMjM0NTY3ODkw Bearer </oauth2/token で取得したaccess_token>を設定 |
| action required | integer ポート操作アクション
|
| resetTimer | integer >= 1 ※ポートのリセット時のみ設定必須 リセット時にポートをOFFにする時間[秒] |
{- "action": 1,
- "resetTimer": 10
}{ }| 改定日 | バージョン | 改定内容 |
|---|---|---|
| 2026/02/27 | 1.7 | 外部機器一覧取得API, 外部機器単体取得API, ポート操作API, ポート状態取得APIを追加映像再生APIの再生, 更新, 終了処理修正 |
| 2026/01/21 | 1.6.2 | アクセストークンの有効期限を延長 |
| 2025/12/19 | 1.6.1 | カメラ一覧, 単体取得APIのレスポンスにバージョン情報を追加 |
| 2025/11/19 | 1.6 | カメラ一覧, 単体取得APIのレスポンスに録画状態を追加カメラ一覧APIで複数カメラ対応サムネイル取得API, クラウド録画履歴取得API正式化 |
| 2025/07/24 | 1.5 | カメラ一覧取得APIにページネーションのパラメータ追加 |
| 2025/07/04 | 1.4 | サムネイル取得API, クラウド録画履歴取得API ベータ版 |
| 2025/05/30 | 1.3 | サンプルプログラムページ追加curlサンプル表記修正 |
| 2025/04/21 | 1.2 | メディアAPIを追加 |
| 2025/02/12 | 1.1 | 映像再生API IFの変更 |
| 2025/01/08 | 1.0 | 正式リリース 映像再生APIを追加 |
| 2023/09/26 | --- | ベータリリース 認証API, テナントAPI, カメラAPI |